Bug 1700263

Summary: Flatpak Firefox: Can't play mp4 videos
Product: [Fedora] Fedora Modules Reporter: Michal Konecny <mkonecny>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: antoine.saroufim, goodmirek, jhorak, mkonecny, sgraf, stransky, V02460, vwcjtblat
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Konecny 2019-04-16 08:05:55 UTC
Description of problem:
Can't play mp4 videos. In Firefox console I see:
"The video on this page can’t be played. Your system may not have the required video codecs for: video/mp4; codecs="avc1.42E01E mp4a.40.2"

Version-Release number of selected component (if applicable):
Firefox - Browse the Web

          ID: org.mozilla.Firefox
         Ref: app/org.mozilla.Firefox/x86_64/stable
        Arch: x86_64
      Branch: stable
      Origin: fedora
  Collection: 
Installation: system
   Installed: 201.7 MB
     Runtime: org.fedoraproject.Platform/x86_64/f29
         Sdk: org.fedoraproject.Sdk/x86_64/f29

      Commit: 5ac207ed18979af9a6e60ce68514a87bb91de4093f4d32d6e9ae480590fbd966
     Subject: Export org.mozilla.Firefox
        Date: 2019-03-28 20:27:32 +0000
      Alt-id: ece033460d927e21d89db3ba48168e7f509bf3cf5f65eb58182af9ba49aefc67


How reproducible:
Just go to any page containing mp4 video and try to play it

Steps to Reproduce:
1. Open Firefox
2. Go to https://www.twitch.tv/videos/410565600


Actual results:
Video is not played

Expected results:
Video works

Additional info:

Comment 1 Martin Stransky 2020-11-03 21:00:45 UTC
We now support playback via openh264 but I'm not sure how that interacts with flatpak sandbox.

Comment 2 Michal Konecny 2020-11-04 09:00:52 UTC
I switched to Flathub Firefox in the meantime, so I'm not sure if the issue is still there.

Comment 3 Mirek Svoboda 2020-11-17 18:28:11 UTC
I am successfully reproducing this issue on my system.

I use a different Twitch video for reproduction, as the video from the issue description is no longer available.
The video currently used for reproduction: https://www.twitch.tv/videos/805606231

Version info:
# flatpak info org.mozilla.Firefox

Firefox - Web Browser

          ID: org.mozilla.Firefox
         Ref: app/org.mozilla.Firefox/x86_64/stable
        Arch: x86_64
      Branch: stable
     Version: 82.0.3
     License: GPL-3.0+
      Origin: fedora
  Collection: 
Installation: system
   Installed: 272.6 MB
     Runtime: org.fedoraproject.Platform/x86_64/f33
         Sdk: org.fedoraproject.Sdk/x86_64/f33

      Commit: b5d22ba2cd8048fcc71a4116e94b7ef92de5fdf709a86c69f4c901a06316bbd9
     Subject: Export org.mozilla.Firefox
        Date: 2020-11-10 05:54:04 +0000
      Alt-id: 95136e74cb2a94ce87851d63860d52ec94aded8411376bf7c63e23ddc1d02372

Comment 4 Mirek Svoboda 2020-11-17 20:47:57 UTC
I confirm I cannot reproduce this issue with Flathub Firefox.

Comment 5 soredake 2022-09-15 14:18:26 UTC
Still a problem.